SLAACD(8)

NAME
slaacd - a stateless address autoconfiguration daemon

SYNOPSIS
slaacd [-dv] [-s socket]

DESCRIPTION
slaacd is a stateless address autoconfiguration (SLAAC) daemon for clients. It listens for IPv6 router advertisement messages, for example those sent by rad(8), on interfaces with the AUTOCONF6 flag set. slaacd derives IPv6 addresses and default routes from received router advertisements and installs them in the kernel. See hostname.if(5) and ifconfig(8) on how to enable auto configuration on an interface.

slaacd monitors network interface states (interface going up or down, auto configuration enabled or disabled etc.) and sends router solicitations when necessary.

A running slaacd can be controlled with the slaacctl(8) utility.

The options are as follows:

-d  Do not daemonize. If this option is specified, slaacd will run in the foreground and log to stderr.

-s socket
    Use an alternate location for the default control socket.

-v  Produce more verbose output. Multiple -v options increase the verbosity.

FILES
/dev/slaacd.sock
    UNIX-domain socket used for communication with slaacctl(8).

SEE ALSO
hostname.if(5), ifconfig(8), rad(8), slaacctl(8)

STANDARDS
R. Draves, D. Thaler, November 2005, RFC 4191, Default Router Preferences and More-Specific Routes.

R. Hinden, S. Deering, February 2006, RFC 4291, IP Version 6 Addressing Architecture.

T. Narten, E. Nordmark, W. Simpson, H. Soliman, September 2007, RFC 4861, Neighbor Discovery for IP version 6 (IPv6).

F. Gont, April 2014, RFC 7217, A Method for Generating Semantically Opaque Interface Identifiers with IPv6 Stateless Address Autoconfiguration (SLAAC).

A. Yourtchenko, L. Colitti, February 2016, RFC 7772, Reducing Energy Consumption of Router Advertisements.

F. Gont, A. Cooper, D. Thaler, W. Liu, February 2017, RFC 8064, Recommendation on Stable IPv6 Interface Identifiers.

J. Jeong, S. Park, L. Beloeil, S. Madanapalli, March 2017, RFC 8106, IPv6 Router Advertisement Options for DNS Configuration.

F. Gont, S. Krishnan, T. Narten, R. Draves, February 2021, RFC 8981, Temporary Address Extensions for Stateless Address Autoconfiguration in IPv6.

HISTORY
The slaacd program first appeared in OpenBSD 6.2.

AUTHORS
-nosplit The slaacd program was written by Florian Obser <florian@openbsd.org>.